From c9aeeea90d550cacfd04bfdfb7220de90933798c Mon Sep 17 00:00:00 2001
From: Shlok Kyal <shlok.kyal.oss@gmail.com>
Date: Wed, 19 Feb 2025 12:29:04 +0530
Subject: [PATCH v2] Improve documentation for pg_copy_logical_replication_slot

By default the failover option is not copied when
pg_copy_logical_replication_slot function is used and it is set to false
by default. This patch document the same.
---
 doc/src/sgml/func.sgml | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index df32ee0bf5b..f812e7c69be 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -29369,6 +29369,9 @@ postgres=# SELECT '0/0'::pg_lsn + pd.segment_number * ps.setting::int + :offset
         from the same <acronym>LSN</acronym> as the source logical slot.  Both
         <parameter>temporary</parameter> and <parameter>plugin</parameter> are
         optional; if they are omitted, the values of the source slot are used.
+        The <parameter>failover</parameter> option of source logical slot is
+        not copied and is set to <literal>false</literal> by default to avoid
+        potential issues with the slot synchronization.
        </para></entry>
       </row>
 
-- 
2.34.1

